<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PalletReportItem StructType
 * @subpackage Structs
 */
class PalletReportItem extends ExtraInfo
{
    /**
     * The Position
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PositionResult
     */
    public $Position;
    /**
     * Constructor method for PalletReportItem
     * @uses PalletReportItem::setPosition()
     * @param \StructType\PositionResult $position
     */
    public function __construct(\StructType\PositionResult $position = null)
    {
        $this
            ->setPosition($position);
    }
    /**
     * Get Position value
     * @return \StructType\PositionResult|null
     */
    public function getPosition()
    {
        return $this->Position;
    }
    /**
     * Set Position value
     * @param \StructType\PositionResult $position
     * @return \StructType\PalletReportItem
     */
    public function setPosition(\StructType\PositionResult $position = null)
    {
        $this->Position = $position;
        return $this;
    }
}
